GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GDALPansharpenOperation Class Reference

Pansharpening operation class. More...

`#include <gdalpansharpen.h>`

## Public Member Functions
| GDALPansharpenOperation ()
| Pansharpening operation constructor. More...
| ~GDALPansharpenOperation ()
| Pansharpening operation destructor.
CPLErr | Initialize (const GDALPansharpenOptions *psOptions)
| Initialize the pansharpening operation. More...
CPLErr | ProcessRegion (int nXOff, int nYOff, int nXSize, int nYSize, void *pDataBuf, GDALDataType eBufDataType)
| Executes a pansharpening operation on a rectangular region of the resulting dataset. More...
GDALPansharpenOptions * | GetOptions ()
| Return options. More...

## Detailed Description

Pansharpening operation class.

## Constructor & Destructor Documentation

GDALPansharpenOperation::GDALPansharpenOperation | ( |  | ) |
| default

Pansharpening operation constructor.

The object is ready to be used after Initialize() has been called.

## Member Function Documentation

GDALPansharpenOptions * GDALPansharpenOperation::GetOptions | ( |  | ) |

Return options.

Returns
  options.

CPLErr GDALPansharpenOperation::Initialize | ( | const GDALPansharpenOptions * | psOptionsIn | ) |

Initialize the pansharpening operation.

Parameters

  psOptionsIn | pansharpening options. Must not be NULL.

Returns
  CE_None in case of success, CE_Failure in case of failure.

CPLErr GDALPansharpenOperation::ProcessRegion | ( | int | nXOff,
|  | int | nYOff,
|  | int | nXSize,
|  | int | nYSize,
|  | void * | pDataBuf,
|  | GDALDataType | eBufDataType
| ) |  |

Executes a pansharpening operation on a rectangular region of the resulting dataset.

The window is expressed with respect to the dimensions of the panchromatic band.

Spectral bands are upsampled and merged with the panchromatic band according to the select algorithm and options.

Parameters

  nXOff | pixel offset.
  nYOff | pixel offset.
  nXSize | width of the pansharpened region to compute.
  nYSize | height of the pansharpened region to compute.
  pDataBuf | output buffer. Must be nXSize * nYSize * GDALGetDataTypeSizeBytes(eBufDataType) * psOptions->nOutPansharpenedBands large. It begins with all values of the first output band, followed by values of the second output band, etc...
  eBufDataType | data type of the output buffer

Returns
  CE_None in case of success, CE_Failure in case of failure.

Since
  GDAL 2.1

The documentation for this class was generated from the following files:

- gdalpansharpen.h
- gdalpansharpen.cpp

Generated for GDAL by 1.8.8.